﻿<h2>Nuevo</h2>

<form id="itemForm">
    @Html.AntiForgeryToken()
    <input type="hidden" id="entidad" value="Author" />
    
    <div>
        <label for="firstName" class="fw-bold">First Name:</label>
        <input type="text" id="firstName" name="firstName" class="form-control custom-width-input">
    </div>
    <div>
        <label for="lastName" class="fw-bold">Last Name:</label>
        <input type="text" id="lastName" name="lastName" class="form-control custom-width-input">
    </div>
    <div>
        <label for="birthday" class="fw-bold">Birthday:</label>
        <input type="date" id="birthday" name="birthday" class=" form-control custom-width-input">
    </div>
    <div>
        <label for="cmbCountries" class="fw-bold">Country Origin</label>
        <select id="cmbCountries" class="form-select custom-width-input"></select>
    </div>
    <br />
    <div>
        <button type="button" onclick="fillData()" class="btn btn-primary">Guardar</button>
        <button type="button" onclick="cancelar()" class="btn btn-secondary">Cancelar</button>
    </div>
</form>

<script src="~/js/crud/create.js"></script>

<script>
    
    var cmbCountries = document.getElementById('cmbCountries');
    cmbCountries.innerHTML = "";

    fetch('/Country/getSimpleItems/')
    .then(response => response.json())
    .then(function(data) {
        //console.log(data);
        data.items.forEach(function(item){
            var option = document.createElement('option');
            option.value = item.id;
            option.textContent = item.nombre;
            cmbCountries.appendChild(option);
        });
    })
    .catch(error => console.error("Error: ", error));


    function fillData() {
        // Lógica para enviar los datos del formulario al servidor
        console.log("Guardando cambios...");
        // Obtener los valores de los campos del formulario
        const firstName = document.getElementById("firstName").value;
        const lastName = document.getElementById("lastName").value;
        const birthday = document.getElementById("birthday").value;
        const countryOrigin = document.getElementById("cmbCountries").value;

        // Crear un objeto con los datos a enviar en el cuerpo de la solicitud POST
        const postData = {
            firstName: firstName,
            lastName: lastName,
            birthDay: birthday,
            countryOrigin: { id: countryOrigin }
        };

        debugger;
        guardar(postData);
    }
</script>

